html{
scroll-behavior: smooth;
}
*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:'Poppins',sans-serif;
}
body{
background: #020617;
color: white;
overflow-x:hidden;
}
header{
display: flex;
justify-content: space-between;
align-items: center;
padding: 20px 2%;
z-index: 3;
position: sticky;
top: 0;
background-color: black;
}
header button{
padding:12px 22px;
border:none;
border-radius:10px;
background:#3b82f6;
color:white;
cursor:pointer;
font-weight:600;
transition:0.3s;
}

header button:hover{
transform:scale(1.05);
}
nav{
display: flex;
gap:30px;
}
nav a{
text-decoration: none;
color: white;
font-size: 16px;
transition: 0.3s;
}
nav a:hover{
color:#3b82f6;
transform:scale(1.1);
}
.brand{
display:flex;
align-items:center;
gap:12px;
}
.logo img{
width:45px;
height:45px;

object-fit:cover;
}

.hero{
min-height:90vh;
padding: 0 8%;
display:flex;
justify-content:space-between;
align-items:center;
position: relative;
overflow: hidden;
}
.hero-text{
    font-size:28px;
    color:white;
    margin-top:20px;
}

.gradient-text{
    background:linear-gradient(90deg,#00aaff,#4d7dff);
    -webkit-background-clip:text;
    -webkit-text-fill-color:transparent;
    font-weight:600;
}

.gradient-text2{
    background:linear-gradient(90deg,#8b5cf6,#d946ef);
    -webkit-background-clip:text;
    -webkit-text-fill-color:transparent;
    font-weight:600;
}
.left{
max-width: 600px;
z-index: 2;
animation: fadeUp 1s ease;
}
.left h1{
font-size: 80px;
line-height: 1.1;
margin-bottom: 20px;
}
.left h1 span{
background: linear-gradient(to
right,#3b82f6,#8b5cf6);
-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
}
.left p{
font-size: 20px;
color: #94a3b8;
margin-bottom: 30px;
line-height: 1.6;
}
.hero-buttons{
    display:flex;
    gap:15px;
    margin-top:30px;
    flex-wrap:wrap;
}
.connect-wrapper{
    display:flex;
    align-items:center;
    gap:15px;
    margin-top:35px;
}

.connect-text{
    color:white;
    font-size:18px;
}

.connect-line{
    width:60px;
    height:2px;

    background:linear-gradient(90deg,#8b5cf6,#4f46e5);

    border-radius:10px;
}
.btn,
.btn-outline,
.resume-btn{
    padding:14px 25px;
    border-radius:12px;
    text-decoration:none;
    font-size:16px;
    display:flex;
    align-items:center;
    gap:10px;
    transition:0.3s;
}

.btn{
    background:#5b5fff;
    color:white;
}

.btn-outline,
.resume-btn{
    border:1px solid #555;
    color:white;
}

.btn:hover,
.btn-outline:hover,
.resume-btn:hover{
    transform:translateY(-3px);
}

.connect-text{
    
    color:#ccc;
    font-size:18px;
}

.social-icons{
    display:flex;
    gap:15px;
    margin-top:20px;
}

.social-icons a{
    width:45px;
    height:45px;
    border:1px solid #444;
    border-radius:50%;
    display:flex;
    align-items:center;
    justify-content:center;
    color:white;
    text-decoration:none;
    font-size:20px;
}

.scroll-down{
    display:flex;
    flex-direction:column;
    align-items:center;
    justify-content:center;

    margin-top:40px;
    padding-bottom: 30px;
    position:absolute;
    left:50%;
    bottom:20px;

    transform:translateX(-50%);
}

.scroll-down i{
    font-size:35px;
    margin-top:10px;
    color: white;
}
.buttons{
display:flex;
gap:20px;
margin-bottom:30px;
}
.buttons button{
padding:14px 28px;
border:none;
border-radius:12px;
cursor:pointer;
font-weight:600;
transition:0.3s;
}

.buttons button:first-child{
background:#3b82f6;
color:white;
}

.buttons button:last-child{
background:transparent;
border:1px solid #3b82f6;
color:white;
}

.buttons button:hover{
transform:translateY(-3px);
}
.socials{
display:flex;
gap:20px;
}

.socials i{
font-size:22px;
cursor:pointer;
transition:0.3s;
}

.socials i:hover{
color:#3b82f6;
transform:scale(1.2);
}
.right{
position:relative;
z-index:2;
}
.hero-right img{
width:420px;
border-radius:30px;
object-fit:cover;

border:2px solid rgba(255,255,255,0.1);

box-shadow:
0 0 30px rgba(59,130,246,0.4);

transition:0.4s;
}
.hero-right img:hover{
transform:translateY(-10px);
}
#floating-card{
position:absolute;

top:100px;
left:-150px;

padding:18px 24px;

background:rgba(15,23,42,0.7);

border:1px solid rgba(255,255,255,0.1);

border-radius:20px;

backdrop-filter:blur(14px);

box-shadow:
0 0 20px rgba(59,130,246,0.2);

font-weight:600;

animation:float 4s ease-in-out infinite;
}
.glow{
position:absolute;
width:400px;
height:400px;
background:#3b82f6;
border-radius:50%;
filter:blur(120px);
opacity:0.4;

top:100px;
right:100px;

z-index:-1;
animation:pulse 5s infinite alternate;
}
.mouse-icon{
    font-size:38px;
    color:white;
    margin-top:10px;
}
.right{
    position:relative;
}

/* BACKGROUND GLOW */

.bg-circle{

    position:absolute;

    width:420px;
    height:420px;

    border-radius:50%;

    top:80px;
    right:0;

    filter:blur(25px);

    z-index:1;
}

 

/* CODE CARD */

.code-card{

    position:absolute;

    left:-60px;
    top:160px;

    width:250px;

    padding:25px;

    border-radius:20px;

    background:rgba(13,17,23,0.7);

    backdrop-filter:blur(15px);

    border:1px solid rgba(255,255,255,0.1);

    box-shadow:0 0 40px rgba(0,0,0,0.4);

    z-index:5;
}

.code-card pre{

    color:white;

    font-size:15px;

    line-height:1.8;

    font-family:monospace;
}

/* CARD DOTS */

.card-dots{

    display:flex;

    gap:8px;

    margin-bottom:15px;
}

.card-dots span{

    width:12px;
    height:12px;

    border-radius:50%;
}

.red{
    background:#ff5f56;
}

.yellow{
    background:#ffbd2e;
}

.green{
    background:#27c93f;
}

/* FLOATING BOXES */

.floating-box{

    position:absolute;

    width:70px;
    height:70px;

    border-radius:20px;

    background:rgba(13,17,23,0.7);

    backdrop-filter:blur(10px);

    border:1px solid rgba(255,255,255,0.15);

    display:flex;

    align-items:center;
    justify-content:center;

    box-shadow:0 0 30px rgba(0,0,0,0.3);

    z-index:4;
}

.floating-box i{

    font-size:40px;

    color:#3b82f6;
}

/* TOP BOX */

.top-box{

    top:40px;
    right:-40px;
}

/* BOTTOM BOX */

.bottom-box{

    bottom:60px;
    right:-60px;
}



.down-arrow{
    margin-top:8px;
    font-size:20px;

    color:#8b5cf6;

    animation:arrowMove 1.5s infinite;
}
.badge{
    border:1px solid #4f46e5;

    box-shadow:0 0 20px rgba(79,70,229,0.5);

    padding:12px 20px;

    border-radius:30px;

    display:inline-flex;

    align-items:center;

    gap:10px;
}
.badge-text{

    background: linear-gradient(
        90deg,
        #8b5cf6,
        #4f46e5,
        #00aaff
    );

    -webkit-background-clip: text;

    -webkit-text-fill-color: transparent;

    font-weight: 600;
}
.badge-dot{
    width:8px;
    height:8px;

    background:#3b82f6;

    border-radius:50%;

    box-shadow:0 0 10px #3b82f6;
}
h2{
font-size: 20px;
font-weight: 700;
}
h2 span{
color:#3b82f6;
}
.about{
padding:120px 8%;
background:#081120;
}
.about-container{
flex-direction: column;
text-align: center;
display:flex;
justify-content:space-between;
align-items:center;
gap:80px;
}
.about-image img{
width:300px;
border-radius:30px;

border:2px solid rgba(255,255,255,0.1);

box-shadow:
0 0 30px rgba(59,130,246,0.3);
}
.about-content h4{
color:#3b82f6;
font-size:18px;
margin-bottom:15px;
}
.about-content h2{
font-size:50px;
margin-bottom:25px;
line-height:1.2;
}
.about-content p{
color:#94a3b8;
font-size:18px;
line-height:1.8;
margin-bottom:20px;
}
.about-info{
    flex-direction: column;
display:flex;
gap:20px;
margin-top:30px;
margin-bottom:30px;
}
.info-box{
padding:25px;

background:#0f172a;

border-radius:20px;

text-align:center;

flex:1;

border:1px solid rgba(255,255,255,0.05);

transition:0.3s;
}
.info-box{
padding:25px;

background:#0f172a;

border-radius:20px;

text-align:center;

flex:1;

border:1px solid rgba(255,255,255,0.05);

transition:0.3s;
}
.info-box:hover{
transform:translateY(-10px);

border-color:#3b82f6;
}
.info-box h3{
font-size:32px;
color:#3b82f6;
margin-bottom:10px;
}
.info-box span{
color:#94a3b8;
}
.about-content button{
padding:14px 30px;

background:#3b82f6;

border:none;

border-radius:12px;

color:white;

font-weight:600;

cursor:pointer;

transition:0.3s;
}
.about-content button:hover{
transform:translateY(-5px);
}
.skills{
padding:120px 8%;
background:#020617;
}
.skills-header{
text-align:center;
margin-bottom:70px;
}
.skills-header h4{
color:#3b82f6;
font-size:18px;
margin-bottom:15px;
}
.skills-header h2{
font-size:50px;
margin-bottom:20px;
}
.skills-header p{
max-width:700px;
margin:auto;

color:#94a3b8;

font-size:18px;

line-height:1.7;
}
.skills-container{
display:grid;

grid-template-columns:
repeat(auto-fit,minmax(220px,1fr));

gap:30px;
}
.skill-card{
background:#0f172a;

padding:40px 30px;

border-radius:25px;

text-align:center;

border:1px solid rgba(255,255,255,0.05);

transition:0.4s;

animation: fadeUp 1s ease;
}
.skill-card:hover{
transform:translateY(-12px);

border-color:#3b82f6;

box-shadow:
0 0 30px rgba(59,130,246,0.2);
}
.skill-card i{
font-size:55px;

margin-bottom:25px;

color:#3b82f6;
}
.skill-card h3{
font-size:24px;
margin-bottom:10px;
}
.skill-card span{
color:#94a3b8;
font-size:15px;
}
.projects{
padding:120px 8%;
background:#081120;
}
.projects-header{
text-align:center;
margin-bottom:70px;
}
.projects-header h4{
color:#3b82f6;
font-size:18px;
margin-bottom:15px;
}
.projects-header h2{
font-size:50px;
margin-bottom:20px;
}
.projects-header p{
max-width:700px;
margin:auto;

color:#94a3b8;

font-size:18px;

line-height:1.7;
}
.projects-container{
display:grid;

grid-template-columns:
repeat(auto-fit,minmax(320px,1fr));

gap:35px;
}
.project-card{
background:#0f172a;

border-radius:25px;

overflow:hidden;

border:1px solid rgba(255,255,255,0.05);

transition:0.4s;

animation:fadeUp 1s ease;
}
.project-card:hover{
transform:translateY(-12px);

border-color:#3b82f6;

box-shadow:
0 0 30px rgba(59,130,246,0.2);
}
.project-card img{
width:100%;
height:220px;

object-fit:cover;
}
.project-content{
padding:30px;
}
.project-content h3{
font-size:28px;
margin-bottom:15px;
}
.project-content p{
color:#94a3b8;

line-height:1.7;

margin-bottom:25px;
}
.project-tech{
display:flex;

gap:12px;

flex-wrap:wrap;

margin-bottom:25px;
}
.project-tech span{
padding:8px 16px;

background:rgba(59,130,246,0.1);

border:1px solid rgba(59,130,246,0.3);

border-radius:30px;

font-size:14px;
}
.project-buttons{
display:flex;
gap:15px;
}
.project-buttons a{
text-decoration:none;

padding:12px 20px;

border-radius:12px;

background:#3b82f6;

color:white;

font-weight:600;

transition:0.3s;
}
.project-buttons a:hover{
transform:translateY(-5px);
}
.contact{
padding:120px 8%;
background:#020617;
}
.contact-header{
text-align:center;
margin-bottom:70px;
}
.contact-header h4{
color:#3b82f6;
font-size:18px;
margin-bottom:15px;
}
.contact-header h2{
font-size:50px;
margin-bottom:20px;
}
.contact-header p{
max-width:700px;
margin:auto;

color:#94a3b8;

font-size:18px;

line-height:1.7;
}
.contact-container{
display:grid;

grid-template-columns:
1fr 1fr;

gap:50px;
}
.contact-box{
display:flex;

align-items:center;

gap:20px;

background:#0f172a;

padding:25px;

border-radius:20px;

margin-bottom:25px;

border:1px solid rgba(255,255,255,0.05);

transition:0.3s;
}
.contact-box:hover{
transform:translateY(-8px);

border-color:#3b82f6;
}
.contact-box i{
font-size:28px;

color:#3b82f6;
}
.contact-box h3{
margin-bottom:5px;
}

.contact-box p{
color:#94a3b8;
}
.contact-form{
display:flex;

flex-direction:column;

gap:20px;
}
.contact-form input,
.contact-form textarea{

padding:18px;

background:#0f172a;

border:none;

border-radius:15px;

color:white;

font-size:16px;

outline:none;

border:1px solid rgba(255,255,255,0.05);
}
.contact-form textarea{
height:180px;
resize:none;
}
.contact-form button{
padding:16px;

background:#3b82f6;

border:none;

border-radius:15px;

color:white;

font-size:16px;

font-weight:600;

cursor:pointer;

transition:0.3s;
}
.contact-form button:hover{
transform:translateY(-5px);
}
footer{
background:#081120;

padding:80px 8% 30px;
}
.footer-container{
display:grid;

grid-template-columns:
repeat(auto-fit,minmax(250px,1fr));

gap:50px;

margin-bottom:50px;
}
.footer-brand p{
margin-top:20px;

color:#94a3b8;

line-height:1.7;
}
.footer-links h3,
.footer-socials h3{

margin-bottom:20px;
}
.footer-links{
display:flex;
flex-direction:column;
}

.footer-links a{
text-decoration:none;

color:#94a3b8;

margin-bottom:12px;

transition:0.3s;
}
.footer-links a:hover{
color:#3b82f6;
}
.social-icons{
display:flex;
gap:15px;
}
.social-icons a{
width:45px;
height:45px;

display:flex;

align-items:center;
justify-content:center;

background:#0f172a;

border-radius:50%;

color:white;

text-decoration:none;

transition:0.3s;
}
.social-icons a:hover{
background:#3b82f6;

transform:translateY(-5px);
}
.footer-bottom{
text-align:center;

padding-top:30px;

border-top:
1px solid rgba(255,255,255,0.05);
}
.footer-bottom p{
color:#94a3b8;
}

@media(max-width:768px){

header{
flex-direction:column;
gap:20px;
}

.hero{
flex-direction:column;
text-align:center;
padding-top:50px;
}

.left h1{
font-size:55px;
}

 

.buttons{
justify-content:center;
}
.contact-container{
grid-template-columns:1fr;
}

}
@keyframes float{

0%{
transform:translateY(0px);
}

50%{
transform:translateY(-15px);
}

100%{
transform:translateY(0px);
}

}
@keyframes fadeUp{

from{
opacity:0;
transform:translateY(40px);
}

to{
opacity:1;
transform:translateY(0);
}

}
@keyframes pulse{

from{
transform:scale(1);
opacity:0.4;
}

to{
transform:scale(1.2);
opacity:0.6;
}

}
@keyframes arrowMove{

    0%{
        transform:translateY(0);
        opacity:0.5;
    }

    50%{
        transform:translateY(8px);
        opacity:1;
    }

    100%{
        transform:translateY(0);
        opacity:0.5;
    }
}
